curl --request POST \
--url https://sandbox.api.fin.com/v1/transit/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"order_amount": "100.00",
"integration_type": "BYBIT",
"settlement_config": {
"settlement_via": "ONE_TO_ONE",
"rebalance_fee": true,
"destination_details": {
"wallet_address": "SOLANA_WALLET_ADDRESS",
"currency": "USDC",
"rail": "SOLANA"
}
}
}
'{
"data": {
"quote_id": "FIN_PROVIDED_UUID",
"expire_at": 1770916749,
"order_amount": "100.00",
"integration_type": "BYBIT",
"settlement_config": {
"settlement_via": "ONE_TO_ONE",
"rebalance_fee": true,
"destination_details": {
"wallet_address": "SOLANA_WALLET_ADDRESS",
"currency": "USDC",
"rail": "SOLANA"
}
},
"quote_estimation": {
"payment_fee": "0.50",
"conversion_fee": "0.00",
"withdrawal_fee": "1.00",
"gas_fee": "0.50",
"total_fee": "2.00",
"total_order_amount": "100.00",
"ata_fee_applied": true
}
}
}Generate a fee estimation quote for a transit payment
curl --request POST \
--url https://sandbox.api.fin.com/v1/transit/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"order_amount": "100.00",
"integration_type": "BYBIT",
"settlement_config": {
"settlement_via": "ONE_TO_ONE",
"rebalance_fee": true,
"destination_details": {
"wallet_address": "SOLANA_WALLET_ADDRESS",
"currency": "USDC",
"rail": "SOLANA"
}
}
}
'{
"data": {
"quote_id": "FIN_PROVIDED_UUID",
"expire_at": 1770916749,
"order_amount": "100.00",
"integration_type": "BYBIT",
"settlement_config": {
"settlement_via": "ONE_TO_ONE",
"rebalance_fee": true,
"destination_details": {
"wallet_address": "SOLANA_WALLET_ADDRESS",
"currency": "USDC",
"rail": "SOLANA"
}
},
"quote_estimation": {
"payment_fee": "0.50",
"conversion_fee": "0.00",
"withdrawal_fee": "1.00",
"gas_fee": "0.50",
"total_fee": "2.00",
"total_order_amount": "100.00",
"ata_fee_applied": true
}
}
}Documentation Index
Fetch the complete documentation index at: https://developer.fin.com/llms.txt
Use this file to discover all available pages before exploring further.
settlement_via: Must be ONE_TO_ONEcurrency: Must be USDCrail: Must be SOLANArebalance_fee: true — Fees absorbed into order amount. total_order_amount = order_amount.rebalance_fee: false — Fees added on top. total_order_amount = order_amount + total_fee.expire_at. Generate a new quote if it has expired.Bearer token authentication. Obtain token from Issue a Token endpoint
Quote created successfully
Show child attributes